Send Chat Message
curl --request POST \
--url https://api.example.com/api/v1/sender-profile-chat/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "<string>",
"message": "<string>",
"context": {}
}
'import requests
url = "https://api.example.com/api/v1/sender-profile-chat/message"
payload = {
"session_id": "<string>",
"message": "<string>",
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_id: '<string>', message: '<string>', context: {}})
};
fetch('https://api.example.com/api/v1/sender-profile-chat/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"message": {
"role": "<string>",
"content": "<string>",
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"metadata": {}
},
"is_complete": false,
"collected_data": {},
"next_field": "<string>",
"suggestions": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sender-profile-chat
Send Chat Message
Send a message in the chat session.
Processes user input and returns the next question or completes the profile creation process.
Args: request: Chat request with session ID and user message
Returns: Chat response with bot’s reply
POST
/
api
/
v1
/
sender-profile-chat
/
message
Send Chat Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Response model for chat interactions.
Represents a single message in the chat conversation.
Show child attributes
Show child attributes
Whether profile collection is complete
All collected profile data so far
The field we're expecting next
Suggested responses or examples
⌘I